### Signal

# GUPnPAV DIDLLiteParser::object-available

#### Declaration

    void
    object_available (
      GUPnPDIDLLiteParser* self,
      GUPnPAVDIDLLiteObject* object,
      gpointer user_data
    )

#### Description [src]

The ::object-available signal is emitted each time an object is found in the DIDL-Lite XML being parsed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`object`

  Type: `GUPnPDIDLLiteObject`

  The now available `GUPnPDIDLLiteObject`.

  The data is owned by the caller of the function.